=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6globalaccel-dev (>= 6.10.0~),
-               libkf6guiaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6iconthemes-dev (>= 6.10.0~),
-               libkf6itemviews-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6configwidgets-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6globalaccel-dev (>= 6.11.0~),
+               libkf6guiaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6iconthemes-dev (>= 6.11.0~),
+               libkf6itemviews-dev (>= 6.11.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
@@ -43,11 +43,11 @@
 Package: libkf6xmlgui-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6config-dev (>= 6.10.0~),
-         libkf6configwidgets-dev (>= 6.10.0~),
-         libkf6globalaccel-dev (>= 6.10.0~),
-         libkf6guiaddons-dev (>= 6.10.0~),
-         libkf6itemviews-dev (>= 6.10.0~),
+Depends: libkf6config-dev (>= 6.11.0~),
+         libkf6configwidgets-dev (>= 6.11.0~),
+         libkf6globalaccel-dev (>= 6.11.0~),
+         libkf6guiaddons-dev (>= 6.11.0~),
+         libkf6itemviews-dev (>= 6.11.0~),
          libkf6xmlgui6 (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
