=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: kf6-kxmlgui
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6configwidgets-dev (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6globalaccel-dev (>= 6.11.0~),
-               libkf6guiaddons-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               libkf6iconthemes-dev (>= 6.11.0~),
-               libkf6itemviews-dev (>= 6.11.0~),
-               libkf6widgetsaddons-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6configwidgets-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6globalaccel-dev (>= 6.12.0~),
+               libkf6guiaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6iconthemes-dev (>= 6.12.0~),
+               libkf6itemviews-dev (>= 6.12.0~),
+               libkf6widgetsaddons-dev (>= 6.12.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kxmlgui
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kxmlgui
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kxmlgui.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kxmlgui
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kxmlgui
 Rules-Requires-Root: no
 
 Package: libkf6xmlgui-data
@@ -43,11 +44,11 @@
 Package: libkf6xmlgui-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6config-dev (>= 6.11.0~),
-         libkf6configwidgets-dev (>= 6.11.0~),
-         libkf6globalaccel-dev (>= 6.11.0~),
-         libkf6guiaddons-dev (>= 6.11.0~),
-         libkf6itemviews-dev (>= 6.11.0~),
+Depends: libkf6config-dev (>= 6.12.0~),
+         libkf6configwidgets-dev (>= 6.12.0~),
+         libkf6globalaccel-dev (>= 6.12.0~),
+         libkf6guiaddons-dev (>= 6.12.0~),
+         libkf6itemviews-dev (>= 6.12.0~),
          libkf6xmlgui6 (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
