=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-include /usr/share/dpkg/vendor.mk
 
 %:
 	dh $@
