=== debian/control ===
--- 
+++ 
@@ -10,16 +10,16 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6configwidgets-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6globalaccel-dev (>= 6.16.0~),
-               libkf6guiaddons-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6iconthemes-dev (>= 6.16.0~),
-               libkf6itemviews-dev (>= 6.16.0~),
-               libkf6widgetsaddons-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6configwidgets-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6globalaccel-dev (>= 6.17.0~),
+               libkf6guiaddons-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6iconthemes-dev (>= 6.17.0~),
+               libkf6itemviews-dev (>= 6.17.0~),
+               libkf6widgetsaddons-dev (>= 6.17.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
@@ -44,11 +44,11 @@
 Package: libkf6xmlgui-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6config-dev (>= 6.16.0~),
-         libkf6configwidgets-dev (>= 6.16.0~),
-         libkf6globalaccel-dev (>= 6.16.0~),
-         libkf6guiaddons-dev (>= 6.16.0~),
-         libkf6itemviews-dev (>= 6.16.0~),
+Depends: libkf6config-dev (>= 6.17.0~),
+         libkf6configwidgets-dev (>= 6.17.0~),
+         libkf6globalaccel-dev (>= 6.17.0~),
+         libkf6guiaddons-dev (>= 6.17.0~),
+         libkf6itemviews-dev (>= 6.17.0~),
          libkf6xmlgui6 (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
